Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 613682 - app-text/highlight-3.42-r1 stabilisation
Summary: app-text/highlight-3.42-r1 stabilisation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: TeX project
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 641932
  Show dependency tree
 
Reported: 2017-03-23 20:33 UTC by Alex Xu (Hello71)
Modified: 2018-03-19 09:28 UTC (History)
1 user (show)

See Also:
Package list:
app-text/highlight-3.42-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Xu (Hello71) 2017-03-23 20:33:22 UTC
the current stable version is so old, it's literally older than debian stable. https://packages.debian.org/jessie/highlight

it has many serious (not security, but very annoying) bugs that have been fixed in newer versions, e.g. recently I ran into https://sourceforge.net/p/syntaxhighlight/bugs/17/

please pick some newer version and stabilize, thanks
Comment 1 Alexis Ballier gentoo-dev 2017-04-03 09:41:27 UTC
works for me, but guidelines say 30 days in ~arch before requesting stable, let's try to aim for 3.36
Comment 2 Alexis Ballier gentoo-dev 2017-04-03 09:42:36 UTC
3.35 since 3.36 doesnt appear on the webpage
Comment 3 Andreas Sturmlechner gentoo-dev 2018-02-27 23:07:07 UTC
Let's do something productive with this bug.
Comment 4 Mart Raudsepp gentoo-dev 2018-03-02 23:32:17 UTC
ping
Comment 5 Andreas Sturmlechner gentoo-dev 2018-03-03 20:11:17 UTC
I'll take that as a yes.
Comment 6 Thomas Deutschmann gentoo-dev Security 2018-03-04 06:53:52 UTC
x86 stable
Comment 7 Jason Zaman gentoo-dev 2018-03-04 09:14:16 UTC
amd64 stable
Comment 8 Sergei Trofimovich gentoo-dev 2018-03-04 10:21:03 UTC
ppc stable
Comment 9 Sergei Trofimovich gentoo-dev 2018-03-04 19:12:57 UTC
ia64 stable
Comment 10 Sergei Trofimovich gentoo-dev 2018-03-04 19:51:03 UTC
commit 03511b79aea49187705f1403f72c50db5ae5418c
Author: Rolf Eike Beer <eike@sf-mail.de>
Date:   Sun Mar 4 11:59:01 2018 +0100

    app-text/highlight: stable 3.42-r1 for sparc, bug #613682
Comment 11 Tobias Klausmann gentoo-dev 2018-03-05 21:32:32 UTC
Stable on alpha.
Comment 12 Sergei Trofimovich gentoo-dev 2018-03-08 21:26:42 UTC
ppc64 stable
Comment 13 Markus Meier gentoo-dev 2018-03-15 20:15:12 UTC
arm stable
Comment 14 Sergei Trofimovich gentoo-dev 2018-03-19 09:28:50 UTC
hppa stable

Last arch. Closing.